- job:
    name: trigger-lhg-opencdm-sanity-check
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
        - github:
            url: https://github.com/linaro-mmwg/open-content-decryption-module
    disabled: true
    node: triggers
    display-name: 'DELETE ME'
    scm:
        - git:
            url: https://github.com/linaro-mmwg/open-content-decryption-module.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    triggers:
        - github-pull-request:
            github-hooks: true
            white-list-target-branches:
                - 'chromium-53.0.2785.143'
            permit-all: true
            auth-id: 'GITHUB_TOKEN'
    wrappers:
        - timestamps
    builders:
        - trigger-builds:
                - project: 'lhg-oe-build'
                - block: true
        - shell: |
            #!/bin/bash -e
            echo "#${BUILD_NUMBER}-${ghprbActualCommit:0:8}" > ${WORKSPACE}/version.txt
        - build-name-setter:
            name: 'version.txt'
            file: true
